Skip to main content
GET
Quote from a token to another

Query Parameters

chainId
number
default:1

Chain ID of the network to execute the quote on

fromAddress
string

Ethereum address of the wallet to quote from

Example:

"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

tokenIn
string[]
required

Ethereum address of the token to swap from. For ETH, use 0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee

Example:
tokenOut
string[]
required

Ethereum address of the token to swap to. For ETH, use 0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee

Example:
amountIn
string[]
required

Amount of tokenIn to swap in wei

Example:
routingStrategy
enum<string> | null

Routing strategy to use

Available options:
ensowallet-v2,
router,
delegate,
router-legacy,
delegate-legacy
ignoreAggregators
enum<string>[] | null

A list of swap aggregators to be ignored from consideration

Available options:
0x,
1inch,
openocean,
kyberswap,
native,
paraswap,
bebop,
barter,
sushiswap-router,
ooga-booga,
renegade,
uniswap,
rooster,
wowmax,
grapher,
hyperbloom,
hyperswap,
hyperflow,
fly,
eisen,
nordstern,
everlong,
bitget,
akka
ignoreStandards
string[] | null

A list of standards to be ignored from consideration

effort
enum<string>

Latency/quality trade-off for aggregator querying. light returns fastest (short aggregator wait with early return once two usable quotes arrive), medium waits the full short window, high is the default balanced behavior, and max queries all aggregators in parallel with an extended wait for best execution (higher CU cost)

Available options:
light,
medium,
high,
max

Response

amountOut
string
required
route
object[]
required

The route selected for the quote

priceImpact
number | null

Price impact in basis points, null if USD price not found

feeAmount
string[]

An array of the fee amount collected for each tokenIn

ensoFeeAmount
string[]